------------------------------------------------------------------------------
--                                                                          --
--                           POLYORB COMPONENTS                             --
--                                                                          --
--                     X E _ D E F S . D E F A U L T S                      --
--                                                                          --
--                                 S p e c                                  --
--                                                                          --
--         Copyright (C) 2006-2007, Free Software Foundation, Inc.          --
--                                                                          --
-- PolyORB is free software; you  can  redistribute  it and/or modify it    --
-- under terms of the  GNU General Public License as published by the  Free --
-- Software Foundation;  either version 2,  or (at your option)  any  later --
-- version. PolyORB is distributed  in the hope that it will be  useful,    --
-- but WITHOUT ANY WARRANTY;  without even the implied warranty of MERCHAN- --
-- TABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public --
-- License  for more details.  You should have received  a copy of the GNU  --
-- General Public License distributed with PolyORB; see file COPYING. If    --
-- not, write to the Free Software Foundation, 51 Franklin Street, Fifth    --
-- Floor, Boston, MA 02111-1301, USA.                                       --
--                                                                          --
--
--
--
--
--
--
--
--                                                                          --
--                  PolyORB is maintained by AdaCore                        --
--                     (email: sales@adacore.com)                           --
--                                                                          --
------------------------------------------------------------------------------

--  Defaults set by configure

pragma Style_Checks ("M2048");
--  Configure substitutions may yield long lines
--  compilers/gnatdist/xe_defs-defaults.ads.  Generated from xe_defs-defaults.ads.in by configure.

package XE_Defs.Defaults is
   Default_RSH_Command : constant String :=
     "rsh";

   Default_RSH_Options : constant String :=
     "-f";

   Default_PCS_Name : constant String :=
     "polyorb";

   Default_Storage_Data : constant String :=
     "";

   Default_Storage_Name : constant String :=
     "dfs";

   Default_Protocol_Data : constant String :=
     "";

   Default_Protocol_Name : constant String :=
     "tcp";

   Default_Dist_Flags : constant String :=
     " -O0";

   Default_Prefix : constant String :=
     "/usr/local";

end XE_Defs.Defaults;
